2020-07-02 11:40 -0400  Diab Jerius  <djerius@cfa.harvard.edu>  (d086504cb2aa [tip])

	* .hgtags:
	Added tag 1.0.3 for changeset 42b391ea3b90

2020-07-02 11:40 -0400  Diab Jerius  <djerius@cfa.harvard.edu>  (42b391ea3b90 [1.0.3])

	* NEWS:
	update NEWS for release

2020-07-02 11:40 -0400  Diab Jerius  <djerius@cfa.harvard.edu>  (0fe8b0ea9fb6)

	* docs/create_reldir.mk, docs/fountain.pod, docs/pod_all.mk,
	docs/pod_html.mk, docs/pod_man.mk, docs/pod_pdf.mk,
	m4/mst_pod_gen_docs.m4, m4/mst_prog_usage.m4, m4/pkg.m4,
	snippets/doc_dirs.mk, snippets/doc_man_init.mk, snippets/hooks.mk,
	src/prog_usage_c.mk: new file.
	* ChangeLog, docs/fountain.pod.in, snippets/pod_html.mk,
	snippets/pod_man_init.mk, snippets/pod_manl.mk,
	snippets/pod_ps_init.mk, snippets/pod_psl.mk,
	snippets/prog_pod_base.mk, snippets/prog_pod_subst.mk,
	snippets/prog_usage_c.mk, snippets/prog_usage_c_base.mk,
	snippets/substitute_config_variables.mk: deleted file.
	* ChangeLog, Makefile.am, configure.ac, docs/Makefile.am,
	docs/create_reldir.mk, docs/fountain.pod, docs/fountain.pod.in,
	docs/pod_all.mk, docs/pod_html.mk, docs/pod_man.mk, docs/pod_pdf.mk,
	m4/mst_pod_gen_docs.m4, m4/mst_prog_usage.m4, m4/pkg.m4,
	snippets/am_vars.mk, snippets/create_am_macros.mk,
	snippets/doc_dirs.mk, snippets/doc_man_init.mk, snippets/hooks.mk,
	snippets/inst_vars.mk, snippets/pod_html.mk,
	snippets/pod_man_init.mk, snippets/pod_manl.mk,
	snippets/pod_ps_init.mk, snippets/pod_psl.mk,
	snippets/prog_pod_base.mk, snippets/prog_pod_subst.mk,
	snippets/prog_usage_c.mk, snippets/prog_usage_c_base.mk,
	snippets/substitute_config_variables.mk, src/Makefile.am,
	src/goption.c, src/main.c, src/pipecommand.c, src/prog_usage_c.mk:
	modernize autotooling; fix missing function prototype errors

2020-07-02 11:35 -0400  Diab Jerius  <djerius@cfa.harvard.edu>  (c984c56279a4)

	* configure.ac:
	bump version

2006-03-20 12:38 -0500  dj  <dj@macabre.cfa.harvard.edu>  (b37f4060578d)

	* .hgtags:
	Added tag 1.0.2 for changeset
	b0d221a00e2e76b87740a9ffb8f2b4b14645f55a

2006-03-20 12:38 -0500  dj  <dj@macabre.cfa.harvard.edu>  (b0d221a00e2e [1.0.2])

	* src/Makefile.am:
	overzealous cleanup

2006-03-20 12:34 -0500  dj  <dj@macabre.cfa.harvard.edu>  (b92ee13df596)

	* ChangeLog, NEWS, configure.ac:
	update for export

2006-03-20 12:29 -0500  dj  <dj@macabre.cfa.harvard.edu>  (4da9f581c0b9)

	* src/common.c, src/common.h: deleted file.
	* docs/fountain.pod.in, src/Makefile.am, src/common.c, src/common.h,
	src/goption.c, src/main.c, src/main.h, src/pipecommand.c,
	src/process.c:
	copyright referred to "src" instead of "fountain" removed need for
	common.c and common.h removed -c option; just specify the commands
	on the command line

2006-03-20 12:27 -0500  dj  <dj@macabre.cfa.harvard.edu>  (f10afd5175a5)

	* snippets/substitute_config_variables.mk:
	updated snippets

2006-03-09 17:31 -0500  dj  <dj@macabre.cfa.harvard.edu>  (8d1221ac6ab7)

	* .hgtags:
	Added tag 1.0.1 for changeset
	acd605dbb1bd2aeceb0acc42d458ba8615d1895a

2006-03-09 17:31 -0500  dj  <dj@macabre.cfa.harvard.edu>  (acd605dbb1bd [1.0.1])

	* README:
	added description

2006-03-09 17:31 -0500  dj  <dj@macabre.cfa.harvard.edu>  (7c6ab3bf156f)

	* .hgtags:
	untagged 1.0.1

2006-03-09 17:29 -0500  dj  <dj@macabre.cfa.harvard.edu>  (60e0a4322c66)

	* .hgtags:
	Added tag 1.0.1 for changeset
	6b14e33e3cbb02e5547cef65d630150260ac7f0d

2006-03-09 17:29 -0500  dj  <dj@macabre.cfa.harvard.edu>  (6b14e33e3cbb)

	* COPYING, INSTALL, NEWS, README, docs/fountain.pod.in,
	snippets/am_vars.mk, snippets/create_am_macros.mk,
	snippets/inst_vars.mk, snippets/pod_html.mk,
	snippets/pod_man_init.mk, snippets/pod_manl.mk,
	snippets/pod_ps_init.mk, snippets/pod_psl.mk,
	snippets/prog_pod_base.mk, snippets/prog_pod_subst.mk,
	snippets/prog_usage_c.mk, snippets/prog_usage_c_base.mk,
	snippets/substitute_config_variables.mk, src/Makefile.am,
	src/common.c, src/common.h, src/goption.c, src/main.c, src/main.h,
	src/pipecommand.c, src/process.c: new file.
	* docs/fountain.pod, fountain/Makefile.am, fountain/common.c,
	fountain/common.h, fountain/goption.c, fountain/main.c,
	fountain/main.h, fountain/pipecommand.c, fountain/process.c,
	fountain/usage.c: deleted file.
	* .hgignore, COPYING, ChangeLog, INSTALL, Makefile.am, NEWS, README,
	configure.ac, docs/Makefile.am, docs/fountain.pod,
	docs/fountain.pod.in, fountain/Makefile.am, fountain/common.c,
	fountain/common.h, fountain/goption.c, fountain/main.c,
	fountain/main.h, fountain/pipecommand.c, fountain/process.c,
	fountain/usage.c, snippets/am_vars.mk, snippets/create_am_macros.mk,
	snippets/inst_vars.mk, snippets/pod_html.mk,
	snippets/pod_man_init.mk, snippets/pod_manl.mk,
	snippets/pod_ps_init.mk, snippets/pod_psl.mk,
	snippets/prog_pod_base.mk, snippets/prog_pod_subst.mk,
	snippets/prog_usage_c.mk, snippets/prog_usage_c_base.mk,
	snippets/substitute_config_variables.mk, src/Makefile.am,
	src/common.c, src/common.h, src/goption.c, src/main.c, src/main.h,
	src/pipecommand.c, src/process.c:
	re autotooled. added function prototypes, cleaned up docs.

2006-03-10 01:26 +0000  dj  <dj>  (5990ba50888e)

	* ChangeLog: new file.
	* ChangeLog:
	added ChangeLog

2006-03-09 15:27 -0500  dj  <dj@macabre.cfa.harvard.edu>  (d6c4e203b39f)

	* .hgtags:
	Added tag V1_0_0 for changeset
	0c667dea82a280643dc97b38dd2c497dbf68e84e

2004-03-27 06:14 +0000  tibbetts  <tibbetts>  (0c667dea82a2 [V1_0_0])

	* configure.ac:
	autotooled

2004-03-27 06:12 +0000  tibbetts  <tibbetts>  (81ab2d764f9b)

	* Makefile.am, configure.ac, docs/Makefile.am, fountain/Makefile.am,
	fountain/common.c, fountain/common.h, fountain/goption.c,
	fountain/main.c, fountain/main.h, fountain/pipecommand.c,
	fountain/process.c, fountain/usage.c: new file.
	* GNUmakefile, INSTALL, common.c, common.h, goption.c, main.c, main.h,
	pipecommand.c, process.c, version.h: deleted file.
	* GNUmakefile, INSTALL, Makefile.am, common.c, common.h, configure.ac,
	docs/Makefile.am, fountain/Makefile.am, fountain/common.c,
	fountain/common.h, fountain/goption.c, fountain/main.c,
	fountain/main.h, fountain/pipecommand.c, fountain/process.c,
	fountain/usage.c, goption.c, main.c, main.h, pipecommand.c,
	process.c, version.h:
	migrating to autotools build

2006-03-09 15:27 -0500  dj  <dj@macabre.cfa.harvard.edu>  (0e3c46bf08da)

	* .hgtags:
	Added tag D19990203 for changeset
	d28ca49c59193ed079e02a18a25d91ca97607605

1999-02-04 00:25 +0000  dj  <dj>  (d28ca49c5919 [D19990203])

	* docs/fountain.pod:
	Empty changelog

1999-02-04 00:04 +0000  dj  <dj>  (ec7b6d2ae34f)

	* docs/fountain.pod, goption.c, main.h, pipecommand.c, process.c:
	added -s option, which causes fountain to write input to stdout

1999-02-03 23:10 +0000  dj  <dj>  (8f6057219107)

	* INSTALL: new file.
	* INSTALL:
	Empty changelog

1999-02-03 21:52 +0000  dj  <dj>  (6feea79ad632)

	* main.c:
	Empty changelog

1999-02-03 21:52 +0000  dj  <dj>  (e4f97bccdcc5)

	* goption.c:
	broke check if no "-c" option

1999-02-03 20:59 +0000  dj  <dj>  (f50fcce7a6d3)

	* usage.c: deleted file.
	* process.c, usage.c:
	Empty changelog

1999-02-03 20:58 +0000  dj  <dj>  (f188657fd282)

	* pipecommand.c:
	got protos for popen/pclose

1999-02-03 20:58 +0000  dj  <dj>  (29fa7c6facf5)

	* main.c:
	basename of argv[0] now taken. uses version.h now

1999-02-03 20:16 +0000  dj  <dj>  (40b417a7abef)

	* goption.c:
	prototypes for getopt properly retrieved for SunOS

	previously always checked for a command to run, even if only help or
	version info was requested

	uncommented commented out tf_leave

1999-02-03 20:15 +0000  dj  <dj>  (ce24f191d374)

	* version.h: new file.
	* common.c, version.h:
	version info moved to version.h

1999-02-03 20:14 +0000  dj  <dj>  (96e8acfd1f6a)

	* GNUmakefile:
	removed install-prefix, DEBUG, PROGS; not needed or not recommended
	added suplib to packages line

2006-03-09 15:27 -0500  dj  <dj@macabre.cfa.harvard.edu>  (84e3916b8e78)

	* .hgtags:
	Added tag V19980806 for changeset
	af436d902233ef5fa836a49d2bf8fc8d5ca12838

1998-08-06 20:54 +0000  axafbin  <axafbin>  (af436d902233 [V19980806])

	* docs/fountain.pod, pipecommand.c, process.c, usage.c:
	lterd docs to tell of IRIX bug with select

2006-03-09 15:27 -0500  dj  <dj@macabre.cfa.harvard.edu>  (83a2561dceec)

	* .hgtags:
	Added tag V19980805 for changeset
	de35e588f7f96dd03f508d672ff9c4191440e066

1998-08-06 00:51 +0000  tibbetts  <tibbetts>  (de35e588f7f9 [V19980805])

	* common.c, common.h, goption.c, main.c, main.h, pipecommand.c,
	process.c, usage.c: new file.
	* fountain.cc, getopts.cc, pipecommand.cc, pipecommand.hh, usage.cc,
	version.hh: deleted file.
	* GNUmakefile, common.c, common.h, fountain.cc, getopts.cc, goption.c,
	main.c, main.h, pipecommand.c, pipecommand.cc, pipecommand.hh,
	process.c, usage.c, usage.cc, version.hh:
	shifted the whole thing over to C from C++ to get the select
	statement to wrok on the SGI's.

1998-08-04 22:10 +0000  axafbin  <axafbin>  (46c135376d20)

	* usage.txt: deleted file.
	* GNUmakefile, docs/fountain.pod, fountain.cc, getopts.cc,
	pipecommand.cc, pipecommand.hh, usage.cc, usage.txt:
	DZZ ZZ 

	D:x D Dxx C D altered code to work on cface4 and sgaxaf. select
	doesn't work properly so the error condition which returns EAGAIN is
	quite D C ltered code to work on

1998-07-28 19:22 +0000  tibbetts  <tibbetts>  (8fc7b77bf853)

	* GNUmakefile:
	Empty changelog

1998-07-28 18:04 +0000  tibbetts  <tibbetts>  (dab7f819e331)

	* docs/fountain.pod: new file.
	* GNUmakefile, docs/fountain.pod, fountain.cc, usage.cc, usage.txt:
	added the documentation to the makefile

1998-07-28 17:08 +0000  tibbetts  <tibbetts>  (39a2355e317b)

	* GNUmakefile, version.hh: new file.
	* Makefile: deleted file.
	* GNUmakefile, Makefile, fountain.cc, getopts.cc, version.hh:
	changed the makefile to the standard mst makefile. added version
	header file.

1998-07-27 23:39 +0000  tibbetts  <tibbetts>  (991050e42bf4)

	* fountain.cc, getopts.cc:
	second swipe at installing fountain. also modified the output for
	bogus input params.

2006-03-09 15:26 -0500  dj  <dj@macabre.cfa.harvard.edu>  (ac5abc5b4762)

	* .hgtags: new file.
	* .hgtags:
	Added tag fountain for changeset
	f0df07c1107895dd09b3102752eb03aa93a96837

1998-07-27 21:43 +0000  tibbetts  <tibbetts>  (f0df07c11078 [fountain])

	* .hgignore, Makefile, fountain.cc, getopts.cc, pipecommand.cc,
	pipecommand.hh, usage.cc, usage.txt: new file.
	* .hgignore, Makefile, fountain.cc, getopts.cc, pipecommand.cc,
	pipecommand.hh, usage.cc, usage.txt:
	Initial revision

